cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Surveyor

RpLockdown "Your browser does not meet the minimum requirements required for Canvas" on Chrome V84

Hello,

I have the up-to-date google chrome browser and my cookies are cleared. However, respondus lockdown still pop up a banner that said "Your browser does not meet the minimum requirements required for Canvas." When I proceed to insert password to start my test, it did not allow me to start a test and just refresh the page. Please help. Thank you in advance.

atran23_0-1597706035073.png

 

Labels (1)
0 Kudos
1 Reply
Highlighted
Community Coach
Community Coach

Hello @atran23 ...

Sorry to read that you are having some issues with the Respondus Lockdown Browser.  It sounds like you should try to reach out to the folks at Respondus technical support for this issue...since you've made sure that Chrome is up-to-date on your computer.  I searched the Respondus website, and I found the following page for you: Support + Resources - Respondus.  Hopefully, they will be able to help you with this.  Good luck!

Top Kudoed Authors
Labels